Index: lib/libalpm/po/it.po
===================================================================
RCS file: /home/cvs-pacman/pacman-lib/lib/libalpm/po/it.po,v
retrieving revision 1.11
diff -u -r1.11 it.po
--- lib/libalpm/po/it.po	1 Mar 2007 04:51:24 -0000	1.11
+++ lib/libalpm/po/it.po	1 Mar 2007 10:58:13 -0000
@@ -9,8 +9,8 @@
 msgstr ""
 "Project-Id-Version: libalpm VERSION\n"
 "Report-Msgid-Bugs-To: pacman-dev@archlinux.org\n"
-"POT-Creation-Date: 2007-02-28 17:26+0100\n"
-"PO-Revision-Date: 2007-02-24 12:00+0100\n"
+"POT-Creation-Date: 2007-03-01 11:44+0100\n"
+"PO-Revision-Date: 2007-03-01 12:30+0100\n"
 "Last-Translator: Giovanni Scafora <linuxmania@gmail.com>\n"
 "Language-Team: Arch Linux Italian Team <linuxmania@gmail.com>\n"
 "MIME-Version: 1.0\n"
@@ -71,202 +71,217 @@
 msgid "upgrading package %s-%s"
 msgstr "aggiornamento del pacchetto %s-%s in corso"
 
-#: lib/libalpm/add.c:363
+#: lib/libalpm/add.c:364
 #, c-format
 msgid "adding package %s-%s"
 msgstr "inclusione del pacchetto %s-%s in corso"
 
-#: lib/libalpm/add.c:376
+#: lib/libalpm/add.c:377
 #, c-format
 msgid "removing old package first (%s-%s)"
 msgstr "rimozione del vecchio pacchetto (%s-%s) in corso"
 
-#: lib/libalpm/add.c:403
+#: lib/libalpm/add.c:404
 #, c-format
 msgid "adding %s to the NoUpgrade array temporarilly"
 msgstr "aggiunta in corso di %s nell'array temporaneo NoUpgrade"
 
-#: lib/libalpm/add.c:421
+#: lib/libalpm/add.c:422
 msgid "extracting files"
 msgstr "estrazione dei file in corso"
 
-#: lib/libalpm/add.c:436 lib/libalpm/util.c:461
+#: lib/libalpm/add.c:437 lib/libalpm/util.c:461
 msgid "could not get current working directory"
 msgstr "impossibile utilizzare la directory corrente"
 
-#: lib/libalpm/add.c:492
+#: lib/libalpm/add.c:493
 #, c-format
 msgid "%s is in NoExtract, skipping extraction"
 msgstr "%s ?? in NoExtract, estrazione ignorata"
 
-#: lib/libalpm/add.c:493
+#: lib/libalpm/add.c:494
 #, c-format
 msgid "notice: %s is in NoExtract -- skipping extraction"
 msgstr "avviso: %s ?? in NoExtract -- estrazione ignorata"
 
-#: lib/libalpm/add.c:500
+#: lib/libalpm/add.c:501
 #, c-format
 msgid "%s is in trans->skip_add, skipping extraction"
 msgstr "%s ?? in trans->skip_add, estrazione ignorata"
 
-#: lib/libalpm/add.c:546 lib/libalpm/add.c:547 lib/libalpm/add.c:696
+#: lib/libalpm/add.c:547 lib/libalpm/add.c:548 lib/libalpm/add.c:697
 #, c-format
 msgid "could not extract %s (%s)"
 msgstr "impossibile estrarre %s (%s)"
 
-#: lib/libalpm/add.c:590
+#: lib/libalpm/add.c:591
 #, c-format
 msgid "checking md5 hashes for %s"
 msgstr "controllo dell'hash md5 di %s"
 
-#: lib/libalpm/add.c:592
+#: lib/libalpm/add.c:593
 #, c-format
 msgid "checking sha1 hashes for %s"
 msgstr "controllo dell'hash sha1 di %s"
 
-#: lib/libalpm/add.c:594
+#: lib/libalpm/add.c:595
 #, c-format
 msgid "current:  %s"
 msgstr "attuale:  %s"
 
-#: lib/libalpm/add.c:595
+#: lib/libalpm/add.c:596
 #, c-format
 msgid "new:      %s"
 msgstr "nuovo:      %s"
 
-#: lib/libalpm/add.c:596
+#: lib/libalpm/add.c:597
 #, c-format
 msgid "original: %s"
 msgstr "originale: %s"
 
-#: lib/libalpm/add.c:608
+#: lib/libalpm/add.c:609
 #, c-format
 msgid "could not rename %s (%s)"
 msgstr "impossibile rinominare %s (%s)"
 
-#: lib/libalpm/add.c:609
+#: lib/libalpm/add.c:610
 #, c-format
 msgid "error: could not rename %s (%s)"
 msgstr "errore: impossibile rinominare %s (%s)"
 
-#: lib/libalpm/add.c:615 lib/libalpm/add.c:634
+#: lib/libalpm/add.c:616 lib/libalpm/add.c:635
 #, c-format
 msgid "could not copy tempfile to %s (%s)"
 msgstr "impossibile copiare il file temporaneo in %s (%s)"
 
-#: lib/libalpm/add.c:616
+#: lib/libalpm/add.c:617
 #, c-format
 msgid "error: could not copy tempfile to %s (%s)"
 msgstr "errore: impossibile copiare il file temporaneo in %s (%s)"
 
-#: lib/libalpm/add.c:620
+#: lib/libalpm/add.c:621
 #, c-format
 msgid "%s saved as %s.pacorig"
 msgstr "%s salvato come %s.pacorig"
 
-#: lib/libalpm/add.c:621
+#: lib/libalpm/add.c:622
 #, c-format
 msgid "warning: %s saved as %s"
 msgstr "attenzione: %s salvato come %s"
 
-#: lib/libalpm/add.c:631
+#: lib/libalpm/add.c:632
 #, c-format
 msgid "action: installing new file: %s"
 msgstr "azione: installazione del nuovo file %s in corso"
 
-#: lib/libalpm/add.c:641 lib/libalpm/add.c:647 lib/libalpm/add.c:652
+#: lib/libalpm/add.c:642 lib/libalpm/add.c:648 lib/libalpm/add.c:653
 msgid "action: leaving existing file in place"
 msgstr "azione: il file non ?? stato spostato"
 
-#: lib/libalpm/add.c:655
+#: lib/libalpm/add.c:656
 msgid "action: keeping current file and installing new one with .pacnew ending"
 msgstr ""
 "azione: il file attuale non ?? stato spostato e sar?? installato un nuovo file "
 "con il suffisso .pacnew"
 
-#: lib/libalpm/add.c:658
+#: lib/libalpm/add.c:659
 #, c-format
 msgid "could not install %s as %s: %s"
 msgstr "impossibile installare %s come %s: %s"
 
-#: lib/libalpm/add.c:659
+#: lib/libalpm/add.c:660
 #, c-format
 msgid "error: could not install %s as %s: %s"
 msgstr "errore: impossibile installare %s come %s: %s"
 
-#: lib/libalpm/add.c:661
+#: lib/libalpm/add.c:662
 #, c-format
 msgid "%s installed as %s"
 msgstr "%s installato come %s"
 
-#: lib/libalpm/add.c:662
+#: lib/libalpm/add.c:663
 #, c-format
 msgid "warning: %s installed as %s"
 msgstr "attenzione: %s installato come %s"
 
-#: lib/libalpm/add.c:676
+#: lib/libalpm/add.c:677
 #, c-format
 msgid "%s is in NoUpgrade -- skipping"
 msgstr "%s ?? in NoUpgrade -- verr?? ignorato"
 
-#: lib/libalpm/add.c:677
+#: lib/libalpm/add.c:678
 #, c-format
 msgid "extracting %s as %s.pacnew"
 msgstr "estrazione di %s come %s.pacnew"
 
-#: lib/libalpm/add.c:678
+#: lib/libalpm/add.c:679
 #, c-format
 msgid "warning: extracting %s as %s.pacnew"
 msgstr "attenzione: estrazione in corso di %s come %s.pacnew"
 
-#: lib/libalpm/add.c:681
+#: lib/libalpm/add.c:682
 #, c-format
 msgid "extracting %s"
 msgstr "estrazione di %s in corso"
 
-#: lib/libalpm/add.c:697
+#: lib/libalpm/add.c:698
 #, c-format
 msgid "error: could not extract %s (%s)"
 msgstr "errore: impossibile estrarre %s (%s)"
 
-#: lib/libalpm/add.c:709
+#: lib/libalpm/add.c:710
 #, c-format
 msgid "appending backup entry for %s"
 msgstr "aggiunta in corso della voce di backup per %s"
 
-#: lib/libalpm/add.c:741 lib/libalpm/add.c:743
+#: lib/libalpm/add.c:742 lib/libalpm/add.c:744
 #, c-format
 msgid "errors occurred while %s %s"
 msgstr "si sono verificati degli errori durante %s %s"
 
-#: lib/libalpm/add.c:742 lib/libalpm/add.c:744
+#: lib/libalpm/add.c:743 lib/libalpm/add.c:745
 msgid "upgrading"
 msgstr "aggiornamento in corso"
 
-#: lib/libalpm/add.c:742 lib/libalpm/add.c:744
+#: lib/libalpm/add.c:743 lib/libalpm/add.c:745
 msgid "installing"
 msgstr "installazione in corso"
 
-#: lib/libalpm/add.c:758 lib/libalpm/remove.c:321
+#: lib/libalpm/add.c:762
+#, c-format
+msgid "provision '%s' has been removed from package %s (%s => %s)"
+msgstr "'%s' ?? stata rimosso dal pacchetto %s (%s => %s)"
+
+#: lib/libalpm/add.c:772
+#, c-format
+msgid "updating '%s' due to provision change (%s)"
+msgstr "aggiornamento in corso di '%s' dovuto ad un cambiamento (%s)"
+
+#: lib/libalpm/add.c:775 lib/libalpm/add.c:776
+#, c-format
+msgid "could not update provision '%s' from '%s'"
+msgstr "impossibile aggiornare '%s' da '%s'"
+
+#: lib/libalpm/add.c:788 lib/libalpm/remove.c:321
 msgid "updating database"
 msgstr "aggiornamento del database in corso"
 
-#: lib/libalpm/add.c:759
+#: lib/libalpm/add.c:789
 #, c-format
 msgid "adding database entry '%s'"
 msgstr "inclusione della voce '%s' nel database"
 
-#: lib/libalpm/add.c:762 lib/libalpm/add.c:764
+#: lib/libalpm/add.c:792 lib/libalpm/add.c:794
 #, c-format
 msgid "could not update database entry %s-%s"
 msgstr "impossibile aggiornare la voce %s-%s nel database"
 
-#: lib/libalpm/add.c:770
+#: lib/libalpm/add.c:800
 #, c-format
 msgid "could not add entry '%s' in cache"
 msgstr "impossible includere la voce '%s' nella cache"
 
-#: lib/libalpm/add.c:798 lib/libalpm/remove.c:341 lib/libalpm/sync.c:1054
+#: lib/libalpm/add.c:828 lib/libalpm/remove.c:341 lib/libalpm/sync.c:1054
 #, c-format
 msgid "running \"ldconfig -r %s\""
 msgstr "esecuzione in corso di \"ldconfig -r %s\""
@@ -514,25 +529,25 @@
 msgid "cannot find '%s-%s' in db '%s'"
 msgstr "impossibile trovare '%s-%s' nel database '%s'"
 
-#: lib/libalpm/be_files.c:242 lib/libalpm/be_files.c:392
-#: lib/libalpm/be_files.c:415 lib/libalpm/be_files.c:503
-#: lib/libalpm/be_files.c:592 lib/libalpm/be_files.c:619
-#: lib/libalpm/package.c:196
+#: lib/libalpm/be_files.c:242 lib/libalpm/be_files.c:388
+#: lib/libalpm/be_files.c:411 lib/libalpm/be_files.c:502
+#: lib/libalpm/be_files.c:591 lib/libalpm/be_files.c:618
+#: lib/libalpm/package.c:197
 #, c-format
 msgid "could not open file %s: %s"
 msgstr "impossibile aprire il file %s: %s"
 
-#: lib/libalpm/be_files.c:500
+#: lib/libalpm/be_files.c:499
 #, c-format
 msgid "writing %s-%s DESC information back to db"
 msgstr "scrittura in corso di %s-%s"
 
-#: lib/libalpm/be_files.c:589
+#: lib/libalpm/be_files.c:588
 #, c-format
 msgid "writing %s-%s FILES information back to db"
 msgstr "scrittura in corso di %s-%s"
 
-#: lib/libalpm/be_files.c:616
+#: lib/libalpm/be_files.c:615
 #, c-format
 msgid "writing %s-%s DEPENDS information back to db"
 msgstr "scrittura in corso di %s-%s"
@@ -615,8 +630,8 @@
 msgid "db vs targs: found %s as a conflict for %s"
 msgstr "db vs targs: trovato %s come conflitto per %s"
 
-#: lib/libalpm/conflict.c:296 lib/libalpm/deps.c:57 lib/libalpm/deps.c:587
-#: lib/libalpm/deps.c:627 lib/libalpm/group.c:43 lib/libalpm/handle.c:49
+#: lib/libalpm/conflict.c:296 lib/libalpm/deps.c:57 lib/libalpm/deps.c:623
+#: lib/libalpm/deps.c:663 lib/libalpm/group.c:43 lib/libalpm/handle.c:49
 #: lib/libalpm/package.c:80 lib/libalpm/sync.c:65 lib/libalpm/sync.c:615
 #: lib/libalpm/sync.c:631 lib/libalpm/sync.c:727 lib/libalpm/trans.c:52
 #: lib/libalpm/util.c:607 lib/libalpm/util.c:614
@@ -629,30 +644,30 @@
 msgid "malloc failed: could not allocate %d bytes"
 msgstr "malloc failed: impossibile allocare %d byte"
 
-#: lib/libalpm/db.c:167
+#: lib/libalpm/db.c:165
 msgid "attempt to re-register the 'local' DB"
 msgstr "tentativo in corso di registrare di nuovo il database 'locale'"
 
-#: lib/libalpm/db.c:175
+#: lib/libalpm/db.c:173
 #, c-format
 msgid "attempt to re-register the '%s' database, using existing"
 msgstr ""
 "tentativo in corso di registrare di nuovo il database '%s', usando quello "
 "esistente"
 
-#: lib/libalpm/db.c:181
+#: lib/libalpm/db.c:179
 #, c-format
 msgid "registering database '%s'"
 msgstr "registrazione del database '%s'"
 
-#: lib/libalpm/db.c:186
+#: lib/libalpm/db.c:184
 #, c-format
 msgid "database directory '%s' does not exist -- try creating it"
 msgstr ""
 "la directory del database '%s' non esiste -- verr?? fatto un tentativo per "
 "crearla"
 
-#: lib/libalpm/db.c:197
+#: lib/libalpm/db.c:195
 #, c-format
 msgid "opening database '%s'"
 msgstr "apertura del database '%s' in corso"
@@ -669,7 +684,7 @@
 msgid "sorting dependencies finished"
 msgstr "ordinamento delle dipendenze terminato"
 
-#: lib/libalpm/deps.c:220 lib/libalpm/deps.c:264
+#: lib/libalpm/deps.c:220 lib/libalpm/deps.c:300
 msgid "null package found in package list"
 msgstr "nessun pacchetto trovato"
 
@@ -678,51 +693,63 @@
 msgid "cannot find package installed '%s'"
 msgstr "impossibile trovare il pacchetto installato '%s'"
 
-#: lib/libalpm/deps.c:245
+#: lib/libalpm/deps.c:252
+#, c-format
+msgid "checkdeps: dependency '%s' has moved from '%s' to '%s'"
+msgstr "checkdeps: la dipendenza '%s' ?? stata spostata da '%s' a '%s'"
+
+#: lib/libalpm/deps.c:271
+#, c-format
+msgid "checkdeps: dependency '%s' satisfied by installed package '%s'"
+msgstr "checkdeps: dipendenza '%s' soddisfatta dal pacchetto '%s'"
+
+#: lib/libalpm/deps.c:280
 #, c-format
 msgid "checkdeps: updated '%s' won't satisfy a dependency of '%s'"
-msgstr "controllo delle dipendenze: il pacchetto aggiornato di '%s' non soddisfa una dipendenza di '%s'"
+msgstr ""
+"checkdeps: il pacchetto aggiornato di '%s' non soddisfa una "
+"dipendenza di '%s'"
 
-#: lib/libalpm/deps.c:272
+#: lib/libalpm/deps.c:308
 #, c-format
 msgid "no dependencies for target '%s'"
 msgstr "nessuna dipendenza richiesta dal pacchetto '%s'"
 
-#: lib/libalpm/deps.c:318
+#: lib/libalpm/deps.c:354
 #, c-format
 msgid "missing dependency '%s' for package '%s'"
 msgstr "manca la dipendenza '%s' richiesta dal pacchetto '%s'"
 
-#: lib/libalpm/deps.c:367
+#: lib/libalpm/deps.c:403
 #, c-format
 msgid "checkdeps: found %s as required by %s"
-msgstr "controllo delle dipendenze: trovato %s come richiesto da %s"
+msgstr "checkdeps: trovato %s come richiesto da %s"
 
-#: lib/libalpm/deps.c:441
+#: lib/libalpm/deps.c:477
 #, c-format
 msgid "excluding %s -- explicitly installed"
 msgstr "esclusione di %s -- installato esplicitamente"
 
-#: lib/libalpm/deps.c:488
+#: lib/libalpm/deps.c:524
 #, c-format
 msgid "cannot find package \"%s\" or anything that provides it!"
 msgstr "impossibile trovare il pacchetto \"%s\" o qualcosa che lo fornisca!"
 
-#: lib/libalpm/deps.c:497 lib/libalpm/deps.c:509
+#: lib/libalpm/deps.c:533 lib/libalpm/deps.c:545
 #, c-format
 msgid "adding '%s' to the targets"
 msgstr "inclusione in corso di '%s' nei pacchetti"
 
-#: lib/libalpm/deps.c:540
+#: lib/libalpm/deps.c:576
 msgid "started resolving dependencies"
 msgstr "avvio risoluzione delle dipendenze"
 
-#: lib/libalpm/deps.c:558
+#: lib/libalpm/deps.c:594
 #, c-format
 msgid "%s provides dependency %s -- skipping"
 msgstr "%s fornisce la dipendenza %s -- verr?? ignorato"
 
-#: lib/libalpm/deps.c:583
+#: lib/libalpm/deps.c:619
 #, c-format
 msgid ""
 "cannot resolve dependencies for \"%s\" (\"%s\" is not in the package set)"
@@ -730,27 +757,27 @@
 "impossibile risolvere le dipendenze per \"%s\" (\"%s\" non ?? presente nella "
 "lista dei pacchetti)"
 
-#: lib/libalpm/deps.c:600
+#: lib/libalpm/deps.c:636
 #, c-format
 msgid "dependency %s is already in the target list -- skipping"
 msgstr "la dipendenza %s ?? gi?? nella lista dei pacchetti -- verr?? ignorata"
 
-#: lib/libalpm/deps.c:620
+#: lib/libalpm/deps.c:656
 #, c-format
 msgid "pulling dependency %s (needed by %s)"
 msgstr "aggiunta la dipendenza %s (richiesta da %s)"
 
-#: lib/libalpm/deps.c:624
+#: lib/libalpm/deps.c:660
 #, c-format
 msgid "cannot resolve dependencies for \"%s\""
 msgstr "impossibile risolvere le dipendenze per \"%s\""
 
-#: lib/libalpm/deps.c:640
+#: lib/libalpm/deps.c:676
 #, c-format
 msgid "dependency cycle detected: %s"
 msgstr "individuato un possibile ciclo di dipendenze: %s"
 
-#: lib/libalpm/deps.c:644
+#: lib/libalpm/deps.c:680
 msgid "finished resolving dependencies"
 msgstr "risoluzione delle dipendenze terminata"
 
@@ -998,49 +1025,54 @@
 msgid "%s-%s: delaying upgrade of package (%s)"
 msgstr "%s-%s: ritardo durante l'aggiornamento del pacchetto (%s)"
 
-#: lib/libalpm/package.c:210 lib/libalpm/package.c:269
+#: lib/libalpm/package.c:211 lib/libalpm/package.c:270
 #, c-format
 msgid "%s: syntax error in description file line %d"
 msgstr "%s: errore di sintassi nel file di descrizione alla linea %d"
 
-#: lib/libalpm/package.c:343
+#: lib/libalpm/package.c:344
 msgid "could not parse the package description file"
 msgstr "impossibile analizzare il file di descrizione del pacchetto"
 
-#: lib/libalpm/package.c:347
+#: lib/libalpm/package.c:348
 #, c-format
 msgid "missing package name in %s"
 msgstr "manca il nome del pacchetto in %s"
 
-#: lib/libalpm/package.c:351
+#: lib/libalpm/package.c:352
 #, c-format
 msgid "missing package version in %s"
 msgstr "manca la versione del pacchetto in %s"
 
-#: lib/libalpm/package.c:386
+#: lib/libalpm/package.c:387
 #, c-format
 msgid "could not remove tempfile %s"
 msgstr "impossibile rimuovere il file temporaneo %s"
 
-#: lib/libalpm/package.c:399 lib/libalpm/package.c:406
+#: lib/libalpm/package.c:400 lib/libalpm/package.c:407
 #, c-format
 msgid "error while reading package: %s"
 msgstr "si ?? verificato un errore durante la lettura del pacchetto: %s"
 
-#: lib/libalpm/package.c:412
+#: lib/libalpm/package.c:413
 msgid "missing package metadata"
 msgstr "manca il metadata del pacchetto"
 
-#: lib/libalpm/package.c:419
+#: lib/libalpm/package.c:420
 #, c-format
 msgid "missing package filelist in %s, generating one"
 msgstr "manca il filelist nel pacchetto %s, creazione in corso"
 
-#: lib/libalpm/package.c:547
+#: lib/libalpm/package.c:552
 #, c-format
 msgid "adding '%s' in requiredby field for '%s'"
 msgstr "inclusione di '%s' nel campo 'richiesto da' di '%s'"
 
+#: lib/libalpm/package.c:561
+#, c-format
+msgid "adding '%s' in requiredby field for '%s' (provides: %s)"
+msgstr "inclusione di '%s' nel campo 'richiesto da' di '%s' (fornisce: %s)"
+
 #: lib/libalpm/remove.c:78
 #, c-format
 msgid "could not find %s in database"
@@ -1344,20 +1376,25 @@
 msgstr "impossibile aggiornare la nuova voce del database %s-%s"
 
 #: lib/libalpm/trans.c:262
-msgid "updating dependency packages 'requiredby' fields"
-msgstr "aggiornamento delle dipendenze nei campi 'richiesto da'"
+#, c-format
+msgid "updating dependency packages 'requiredby' fields for %s-%s"
+msgstr "aggiornamento delle dipendenze nei campi 'richiesto da' di %s-%s"
+
+#: lib/libalpm/trans.c:265
+msgid "package has no dependencies, no other packages to update"
+msgstr "il pacchetto non ha dipendenze, nessun altro pacchetto da aggiornare"
 
-#: lib/libalpm/trans.c:299 lib/libalpm/trans.c:323
+#: lib/libalpm/trans.c:302 lib/libalpm/trans.c:326
 #, c-format
 msgid "updating 'requiredby' field for package '%s'"
 msgstr "aggiornamento in corso del campo 'richiesto da' del pacchetto '%s'"
 
-#: lib/libalpm/trans.c:309 lib/libalpm/trans.c:333
+#: lib/libalpm/trans.c:312 lib/libalpm/trans.c:336
 #, c-format
 msgid "could not update 'requiredby' database entry %s-%s"
 msgstr "impossibile aggiornare la voce 'richiesto da' del database %s-%s"
 
-#: lib/libalpm/trans.c:315
+#: lib/libalpm/trans.c:318
 #, c-format
 msgid "could not find dependency '%s'"
 msgstr "impossibile trovare la dipendenza '%s'"