Index: lib/libalpm/po/it.po
===================================================================
RCS file: /home/cvs-pacman/pacman-lib/lib/libalpm/po/it.po,v
retrieving revision 1.5
diff -u -r1.5 it.po
--- lib/libalpm/po/it.po	18 Feb 2007 18:31:24 -0000	1.5
+++ lib/libalpm/po/it.po	20 Feb 2007 19:16:15 -0000
@@ -9,8 +9,8 @@
 msgstr ""
 "Project-Id-Version: libalpm VERSION\n"
 "Report-Msgid-Bugs-To: pacman-dev@archlinux.org\n"
-"POT-Creation-Date: 2007-02-17 10:39+0100\n"
-"PO-Revision-Date: 2007-02-17 11:00+0100\n"
+"POT-Creation-Date: 2007-02-20 20:15+0100\n"
+"PO-Revision-Date: 2007-02-20 20:30+0100\n"
 "Last-Translator: Giovanni Scafora <linuxmania@gmail.com>\n"
 "Language-Team: Arch Linux Italian Team <linuxmania@gmail.com>\n"
 "MIME-Version: 1.0\n"
@@ -58,201 +58,211 @@
 msgid "cleaning up"
 msgstr "pulizia in corso"
 
-#: lib/libalpm/add.c:323
+#: lib/libalpm/add.c:321
 msgid "looking for file conflicts"
 msgstr "ricerca dei conflitti tra file in corso"
 
-#: lib/libalpm/add.c:392
+#: lib/libalpm/add.c:386
 #, c-format
 msgid "upgrading package %s-%s"
 msgstr "aggiornamento del pacchetto %s-%s in corso"
 
-#: lib/libalpm/add.c:415
+#: lib/libalpm/add.c:409
 #, c-format
 msgid "adding package %s-%s"
 msgstr "inclusione del pacchetto %s-%s in corso"
 
-#: lib/libalpm/add.c:428
+#: lib/libalpm/add.c:422
 #, c-format
 msgid "removing old package first (%s-%s)"
 msgstr "rimozione del vecchio pacchetto (%s-%s) in corso"
 
-#: lib/libalpm/add.c:452
+#: lib/libalpm/add.c:449
 #, c-format
 msgid "adding %s to the NoUpgrade array temporarilly"
 msgstr "aggiunta in corso di %s all'array temporaneo NoUpgrade"
 
-#: lib/libalpm/add.c:470
+#: lib/libalpm/add.c:467
 msgid "extracting files"
 msgstr "estrazione dei file in corso"
 
-#: lib/libalpm/add.c:485 lib/libalpm/util.c:461
+#: lib/libalpm/add.c:482 lib/libalpm/util.c:461
 msgid "could not get current working directory"
 msgstr "impossibile utilizzare la directory corrente"
 
-#: lib/libalpm/add.c:541
+#: lib/libalpm/add.c:538
+#, c-format
+msgid "%s is in NoExtract, skipping extraction"
+msgstr "%s ?? in NoExtract, estrazione ignorata"
+
+#: lib/libalpm/add.c:539
 #, c-format
 msgid "notice: %s is in NoExtract -- skipping extraction"
 msgstr "avviso: %s ?? in NoExtract -- estrazione ignorata"
 
-#: lib/libalpm/add.c:587 lib/libalpm/add.c:588 lib/libalpm/add.c:737
+#: lib/libalpm/add.c:546
+#, c-format
+msgid "%s is in trans->skip_add, skipping extraction"
+msgstr "%s ?? in trans->skip_add, estrazione ignorata"
+
+#: lib/libalpm/add.c:592 lib/libalpm/add.c:593 lib/libalpm/add.c:742
 #, c-format
 msgid "could not extract %s (%s)"
 msgstr "impossibile estrarre %s (%s)"
 
-#: lib/libalpm/add.c:631
+#: lib/libalpm/add.c:636
 #, c-format
 msgid "checking md5 hashes for %s"
 msgstr "controllo dell'hash md5 di %s"
 
-#: lib/libalpm/add.c:633
+#: lib/libalpm/add.c:638
 #, c-format
 msgid "checking sha1 hashes for %s"
 msgstr "controllo degli hash sha1 di %s"
 
-#: lib/libalpm/add.c:635
+#: lib/libalpm/add.c:640
 #, c-format
 msgid "current:  %s"
 msgstr "attuale:  %s"
 
-#: lib/libalpm/add.c:636
+#: lib/libalpm/add.c:641
 #, c-format
 msgid "new:      %s"
 msgstr "nuovo:      %s"
 
-#: lib/libalpm/add.c:637
+#: lib/libalpm/add.c:642
 #, c-format
 msgid "original: %s"
 msgstr "originale: %s"
 
-#: lib/libalpm/add.c:649
+#: lib/libalpm/add.c:654
 #, c-format
 msgid "could not rename %s (%s)"
 msgstr "impossibile rinominare %s (%s)"
 
-#: lib/libalpm/add.c:650
+#: lib/libalpm/add.c:655
 #, c-format
 msgid "error: could not rename %s (%s)"
 msgstr "errore: impossibile rinominare %s (%s)"
 
-#: lib/libalpm/add.c:656 lib/libalpm/add.c:675
+#: lib/libalpm/add.c:661 lib/libalpm/add.c:680
 #, c-format
 msgid "could not copy tempfile to %s (%s)"
 msgstr "impossibile copiare il file temporaneo in %s (%s)"
 
-#: lib/libalpm/add.c:657
+#: lib/libalpm/add.c:662
 #, c-format
 msgid "error: could not copy tempfile to %s (%s)"
 msgstr "errore: impossibile il file temporaneo in %s (%s)"
 
-#: lib/libalpm/add.c:661
+#: lib/libalpm/add.c:666
 #, c-format
 msgid "%s saved as %s.pacorig"
 msgstr "%s salvato come %s.pacorig"
 
-#: lib/libalpm/add.c:662
+#: lib/libalpm/add.c:667
 #, c-format
 msgid "warning: %s saved as %s"
 msgstr "attenzione: %s salvato come %s"
 
-#: lib/libalpm/add.c:672
+#: lib/libalpm/add.c:677
 #, c-format
 msgid "action: installing new file: %s"
 msgstr "azione: installazione del nuovo file %s in corso"
 
-#: lib/libalpm/add.c:682 lib/libalpm/add.c:688 lib/libalpm/add.c:693
+#: lib/libalpm/add.c:687 lib/libalpm/add.c:693 lib/libalpm/add.c:698
 msgid "action: leaving existing file in place"
 msgstr "azione: il file non ?? stato spostato"
 
-#: lib/libalpm/add.c:696
+#: lib/libalpm/add.c:701
 msgid "action: keeping current file and installing new one with .pacnew ending"
 msgstr ""
 "azione: il file attuale non ?? stato spostato e sar?? installato un nuovo file "
 "con il suffisso .pacnew"
 
-#: lib/libalpm/add.c:699
+#: lib/libalpm/add.c:704
 #, c-format
 msgid "could not install %s as %s: %s"
 msgstr "impossibile installare %s come %s: %s"
 
-#: lib/libalpm/add.c:700
+#: lib/libalpm/add.c:705
 #, c-format
 msgid "error: could not install %s as %s: %s"
 msgstr "errore: impossibile installare %s come %s: %s"
 
-#: lib/libalpm/add.c:702
+#: lib/libalpm/add.c:707
 #, c-format
 msgid "%s installed as %s"
 msgstr "%s installato come %s"
 
-#: lib/libalpm/add.c:703
+#: lib/libalpm/add.c:708
 #, c-format
 msgid "warning: %s installed as %s"
 msgstr "attenzione: %s installato come %s"
 
-#: lib/libalpm/add.c:717
+#: lib/libalpm/add.c:722
 #, c-format
 msgid "%s is in NoUpgrade -- skipping"
 msgstr "%s ?? in NoUpgrade -- verr?? ignorato"
 
-#: lib/libalpm/add.c:718
+#: lib/libalpm/add.c:723
 #, c-format
 msgid "extracting %s as %s.pacnew"
 msgstr "estrazione di %s come %s.pacnew"
 
-#: lib/libalpm/add.c:719
+#: lib/libalpm/add.c:724
 #, c-format
 msgid "warning: extracting %s as %s.pacnew"
 msgstr "attenzione: estrazione in corso di %s come %s.pacnew"
 
-#: lib/libalpm/add.c:722
+#: lib/libalpm/add.c:727
 #, c-format
 msgid "extracting %s"
 msgstr "estrazione di %s in corso"
 
-#: lib/libalpm/add.c:738
+#: lib/libalpm/add.c:743
 #, c-format
 msgid "error: could not extract %s (%s)"
 msgstr "errore: impossibile estrarre %s (%s)"
 
-#: lib/libalpm/add.c:750
+#: lib/libalpm/add.c:755
 #, c-format
 msgid "appending backup entry for %s"
 msgstr "aggiunta in corso della voce di backup per %s"
 
-#: lib/libalpm/add.c:782 lib/libalpm/add.c:784
+#: lib/libalpm/add.c:787 lib/libalpm/add.c:789
 #, c-format
 msgid "errors occurred while %s %s"
 msgstr "errori verificati in %s %s"
 
-#: lib/libalpm/add.c:783 lib/libalpm/add.c:785
+#: lib/libalpm/add.c:788 lib/libalpm/add.c:790
 msgid "upgrading"
 msgstr "aggiornamento in corso"
 
-#: lib/libalpm/add.c:783 lib/libalpm/add.c:785
+#: lib/libalpm/add.c:788 lib/libalpm/add.c:790
 msgid "installing"
 msgstr "installazione in corso"
 
-#: lib/libalpm/add.c:800 lib/libalpm/remove.c:328
+#: lib/libalpm/add.c:804 lib/libalpm/remove.c:317
 msgid "updating database"
 msgstr "aggiornamento del database in corso"
 
-#: lib/libalpm/add.c:801
+#: lib/libalpm/add.c:805
 #, c-format
 msgid "adding database entry '%s'"
 msgstr "inclusione della voce '%s' nel database"
 
-#: lib/libalpm/add.c:804 lib/libalpm/add.c:806
+#: lib/libalpm/add.c:808 lib/libalpm/add.c:810
 #, c-format
 msgid "could not update database entry %s-%s"
 msgstr "impossibile aggiornare la voce %s-%s nel database"
 
-#: lib/libalpm/add.c:812
+#: lib/libalpm/add.c:816
 #, c-format
 msgid "could not add entry '%s' in cache"
 msgstr "impossible includere la voce '%s' nella cache"
 
-#: lib/libalpm/add.c:840 lib/libalpm/remove.c:348 lib/libalpm/sync.c:1043
+#: lib/libalpm/add.c:844 lib/libalpm/remove.c:337 lib/libalpm/sync.c:1043
 #, c-format
 msgid "running \"ldconfig -r %s\""
 msgstr "esecuzione in corso di \"ldconfig -r %s\""
@@ -576,11 +586,11 @@
 msgid "db vs targs: found %s as a conflict for %s"
 msgstr "db vs targs: trovato %s come conflitto per %s"
 
-#: lib/libalpm/conflict.c:297 lib/libalpm/conflict.c:346 lib/libalpm/deps.c:57
-#: lib/libalpm/deps.c:594 lib/libalpm/deps.c:634 lib/libalpm/group.c:43
-#: lib/libalpm/handle.c:49 lib/libalpm/package.c:80 lib/libalpm/sync.c:65
-#: lib/libalpm/sync.c:604 lib/libalpm/sync.c:620 lib/libalpm/sync.c:716
-#: lib/libalpm/trans.c:49 lib/libalpm/util.c:607 lib/libalpm/util.c:614
+#: lib/libalpm/conflict.c:296 lib/libalpm/deps.c:57 lib/libalpm/deps.c:598
+#: lib/libalpm/deps.c:638 lib/libalpm/group.c:43 lib/libalpm/handle.c:49
+#: lib/libalpm/package.c:80 lib/libalpm/sync.c:65 lib/libalpm/sync.c:604
+#: lib/libalpm/sync.c:620 lib/libalpm/sync.c:716 lib/libalpm/trans.c:52
+#: lib/libalpm/util.c:607 lib/libalpm/util.c:614
 #, c-format
 msgid "malloc failure: could not allocate %d bytes"
 msgstr "malloc failure: impossibile allocare %d byte"
@@ -626,68 +636,59 @@
 msgid "possible dependency cycle detected"
 msgstr "individuato un possibile ciclo di dipendenze"
 
-#: lib/libalpm/deps.c:179
+#: lib/libalpm/deps.c:177
 msgid "sorting dependencies finished"
 msgstr "ordinamento delle dipendenze terminato"
 
-#: lib/libalpm/deps.c:220 lib/libalpm/deps.c:277
+#: lib/libalpm/deps.c:218 lib/libalpm/deps.c:275
 msgid "null package found in package list"
 msgstr "nessun pacchetto trovato"
 
-#: lib/libalpm/deps.c:225
+#: lib/libalpm/deps.c:223
 #, c-format
 msgid "cannot find package installed '%s'"
 msgstr "impossibile trovare il pacchetto installato '%s'"
 
-#: lib/libalpm/deps.c:259 lib/libalpm/deps.c:380
+#: lib/libalpm/deps.c:257 lib/libalpm/deps.c:378
 #, c-format
 msgid "checkdeps: found %s as required by %s"
 msgstr "checkdeps: trovato %s come richiesto da %s"
 
-#: lib/libalpm/deps.c:285
+#: lib/libalpm/deps.c:283
 #, c-format
 msgid "no dependencies for target '%s'"
 msgstr "nessuna dipendenza richiesta dal pacchetto '%s'"
 
-#: lib/libalpm/deps.c:331
-#, c-format
-msgid "checkdeps: found %s as a dependency for %s"
-msgstr "checkdeps: trovato %s come dipendenza di %s"
-
-#: lib/libalpm/deps.c:479
+#: lib/libalpm/deps.c:329
 #, c-format
-msgid "cannot find package \"%s\" or anything that provides it!"
-msgstr "impossibile trovare il pacchetto \"%s\" o qualcosa che lo fornisca!"
+msgid "missing dependency '%s' for package '%s'"
+msgstr "manca la dipendenza '%s' richiesta dal pacchetto '%s'"
 
-#: lib/libalpm/deps.c:484
-msgid "dep is NULL!"
-msgstr "dep ?? NULL!"
-
-#: lib/libalpm/deps.c:499
+#: lib/libalpm/deps.c:452
 #, c-format
 msgid "excluding %s -- explicitly installed"
 msgstr "esclusione di %s -- installato esplicitamente"
 
-#: lib/libalpm/deps.c:516
+#: lib/libalpm/deps.c:499
 #, c-format
-msgid "loading ALL info for '%s'"
-msgstr "caricamento in corso di tutte le informazioni di '%s'"
+msgid "cannot find package \"%s\" or anything that provides it!"
+msgstr "impossibile trovare il pacchetto \"%s\" o qualcosa che lo fornisca!"
 
-#: lib/libalpm/deps.c:519
+#: lib/libalpm/deps.c:508 lib/libalpm/deps.c:520
 #, c-format
 msgid "adding '%s' to the targets"
 msgstr "inclusione in corso di '%s' nei pacchetti"
 
-#: lib/libalpm/deps.c:547
+#: lib/libalpm/deps.c:551
 msgid "started resolving dependencies"
 msgstr "avvio risoluzione delle dipendenze"
 
-#: lib/libalpm/deps.c:565
+#: lib/libalpm/deps.c:569
 #, c-format
 msgid "%s provides dependency %s -- skipping"
 msgstr "%s fornisce la dipendenza %s -- verr?? ignorato"
 
-#: lib/libalpm/deps.c:590
+#: lib/libalpm/deps.c:594
 #, c-format
 msgid ""
 "cannot resolve dependencies for \"%s\" (\"%s\" is not in the package set)"
@@ -695,27 +696,27 @@
 "impossibile risolvere le dipendenze per \"%s\" (\"%s\" non ?? presente nella "
 "lista dei pacchetti)"
 
-#: lib/libalpm/deps.c:607
+#: lib/libalpm/deps.c:611
 #, c-format
 msgid "dependency %s is already in the target list -- skipping"
 msgstr "la dipendenza %s ?? gi?? nella lista dei pacchetti -- verr?? ignorata"
 
-#: lib/libalpm/deps.c:627
+#: lib/libalpm/deps.c:631
 #, c-format
 msgid "pulling dependency %s (needed by %s)"
 msgstr "aggiunta la dipendenza %s (richiesta da %s)"
 
-#: lib/libalpm/deps.c:631
+#: lib/libalpm/deps.c:635
 #, c-format
 msgid "cannot resolve dependencies for \"%s\""
 msgstr "impossibile risolvere le dipendenze per \"%s\""
 
-#: lib/libalpm/deps.c:647
+#: lib/libalpm/deps.c:651
 #, c-format
 msgid "dependency cycle detected: %s"
 msgstr "individuato un possibile ciclo di dipendenze: %s"
 
-#: lib/libalpm/deps.c:651
+#: lib/libalpm/deps.c:655
 msgid "finished resolving dependencies"
 msgstr "risoluzione delle dipendenze terminata"
 
@@ -996,25 +997,6 @@
 msgid "adding '%s' in requiredby field for '%s'"
 msgstr "inclusione di '%s' nel campo 'richiesto da' per '%s'"
 
-#: lib/libalpm/package.c:558
-msgid "updating dependency packages 'requiredby' fields"
-msgstr "aggiornamento dei campi 'richiesto da' delle dipendenze"
-
-#: lib/libalpm/package.c:601 lib/libalpm/package.c:625
-#, c-format
-msgid "updating 'requiredby' field for package '%s'"
-msgstr "aggiornamento in corso del campo 'richiesto da' del pacchetto '%s'"
-
-#: lib/libalpm/package.c:611 lib/libalpm/package.c:635
-#, c-format
-msgid "could not update 'requiredby' database entry %s-%s"
-msgstr "impossibile aggiornare la voce 'richiesto da' del database %s-%s"
-
-#: lib/libalpm/package.c:617
-#, c-format
-msgid "could not find dependency '%s'"
-msgstr "impossibile trovare la dipendenza '%s'"
-
 #: lib/libalpm/remove.c:78
 #, c-format
 msgid "could not find %s in database"
@@ -1039,71 +1021,71 @@
 msgid "finding removable dependencies"
 msgstr "ricerca delle dipendenze eliminabili"
 
-#: lib/libalpm/remove.c:178
+#: lib/libalpm/remove.c:174
 #, c-format
 msgid "cannot remove file '%s': %s"
 msgstr "impossibile rimuovere il file '%s': %s"
 
-#: lib/libalpm/remove.c:221
+#: lib/libalpm/remove.c:218
 #, c-format
 msgid "file %s does not exist"
 msgstr "il file %s non esiste"
 
-#: lib/libalpm/remove.c:228
+#: lib/libalpm/remove.c:225
 #, c-format
 msgid "keeping directory %s"
 msgstr "conservazione in corso della directory %s"
 
-#: lib/libalpm/remove.c:230
+#: lib/libalpm/remove.c:227
 #, c-format
 msgid "removing directory %s"
 msgstr "rimozione in corso della directory %s"
 
-#: lib/libalpm/remove.c:244
+#: lib/libalpm/remove.c:234
 #, c-format
-msgid "skipping removal of %s as it has moved to another package"
-msgstr "rimozione di %s ignorata poich?? ?? stato spostato in un altro pacchetto"
+msgid "%s is in trans->skip_remove, skipping removal"
+msgstr "%s ?? in trans->skip_remove, rimozione ignorata"
 
-#: lib/libalpm/remove.c:255
+#: lib/libalpm/remove.c:244
 #, c-format
 msgid "%s saved as %s"
 msgstr "%s salvato come %s"
 
-#: lib/libalpm/remove.c:259
+#: lib/libalpm/remove.c:248
 #, c-format
 msgid "unlinking %s"
 msgstr "scollegamento in corso di %s"
 
-#: lib/libalpm/remove.c:266
+#: lib/libalpm/remove.c:255
 #, c-format
 msgid "cannot remove file %s: %s"
 msgstr "impossibile rimuovere il file %s: %s"
 
-#: lib/libalpm/remove.c:293
+#: lib/libalpm/remove.c:282
 #, c-format
 msgid "removing package %s-%s"
 msgstr "rimozione in corso del pacchetto %s-%s"
 
-#: lib/libalpm/remove.c:305
+#: lib/libalpm/remove.c:294
 #, c-format
 msgid "not removing package '%s', can't remove all files"
 msgstr "impossibile rimuovere il pacchetto '%s' e tutti i file"
 
-#: lib/libalpm/remove.c:311
+#: lib/libalpm/remove.c:300
 msgid "removing files"
 msgstr "rimozione dei file in corso"
 
-#: lib/libalpm/remove.c:329
+#: lib/libalpm/remove.c:318
 #, c-format
 msgid "removing database entry '%s'"
 msgstr "rimozione in corso della voce del database '%s'"
 
-#: lib/libalpm/remove.c:331
+#: lib/libalpm/remove.c:320
 #, c-format
 msgid "could not remove database entry %s-%s"
 msgstr "impossibile rimuovere la voce del database %s-%s"
 
-#: lib/libalpm/remove.c:334
+#: lib/libalpm/remove.c:323
 #, c-format
 msgid "could not remove entry '%s' from cache"
 msgstr "impossibile rimuovere la voce '%s' dalla cache"
@@ -1307,6 +1289,25 @@
 msgid "could not update new database entry %s-%s"
 msgstr "impossibile aggiornare la nuova voce del database %s-%s"
 
+#: lib/libalpm/trans.c:262
+msgid "updating dependency packages 'requiredby' fields"
+msgstr "aggiornamento dei campi 'richiesto da' delle dipendenze"
+
+#: lib/libalpm/trans.c:299 lib/libalpm/trans.c:323
+#, c-format
+msgid "updating 'requiredby' field for package '%s'"
+msgstr "aggiornamento in corso del campo 'richiesto da' del pacchetto '%s'"
+
+#: lib/libalpm/trans.c:309 lib/libalpm/trans.c:333
+#, c-format
+msgid "could not update 'requiredby' database entry %s-%s"
+msgstr "impossibile aggiornare la voce 'richiesto da' del database %s-%s"
+
+#: lib/libalpm/trans.c:315
+#, c-format
+msgid "could not find dependency '%s'"
+msgstr "impossibile trovare la dipendenza '%s'"
+
 #: lib/libalpm/util.c:278
 #, c-format
 msgid "could not open %s: %s\n"
@@ -1392,3 +1393,16 @@
 #, c-format
 msgid "depcmp: %s-%s %s %s => %s"
 msgstr "depcmp: %s-%s %s %s => %s"
+
+#~ msgid "checkdeps: found %s as a dependency for %s"
+#~ msgstr "checkdeps: trovato %s come dipendenza di %s"
+
+#~ msgid "dep is NULL!"
+#~ msgstr "dep ?? NULL!"
+
+#~ msgid "loading ALL info for '%s'"
+#~ msgstr "caricamento in corso di tutte le informazioni di '%s'"
+
+#~ msgid "skipping removal of %s as it has moved to another package"
+#~ msgstr ""
+#~ "rimozione di %s ignorata poich?? ?? stato spostato in un altro pacchetto"